Package: groovy.org.codenarc.rule.grails

## [Groovy] Class GrailsServletContextReferenceRule

- groovy.org.codenarc.rule.grails.GrailsServletContextReferenceRule

- Rule that checks for references to the servletContext object from within Grails controller and taglib classes.

  This rule is intended as a "governance" rule to enable monitoring and controlling access to the servletContext from within application source code. Storing objects in the servletContext may inhibit scalability and/or performance and should be carefully considered. Furthermore, access to the servletContext is not synchronized, so reading/writing objects from the servletConext must be manually synchronized, as described in The Definitive Guide to Grails (2nd edition).

  Enabling this rule may make most sense in a team environment where team members exhibit a broad range of skill and experience levels. Appropriate servletContext access can be configured as exceptions to this rule by configuring either the `doNotApplyToFilenames` or `doNotApplyToFilesMatching` property of the rule.

  This rule sets the default value of `applyToFilesMatching` to only match files under the 'grails-app/controllers' or 'grails-app/taglib' folders. You can override this with a different regular expression value if appropriate.
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `applyToFilesMatching`
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### String applyToFilesMatching

    - #### Class astVisitorClass

    - #### String name

    - #### int priority